# Create custom field This endpoint creates a custom field. Endpoint: POST /v3/companies/{companyId}/custom-fields Version: v3 Security: Bearer ## Path parameters: - `companyId` (string, required) Identifier for company. Example: "4974a66b-7493-4f41-908c-58ba81093947" ## Query parameters: - `companyRole` (string, required) Role of the company. Enum: "ORG", "TMC", "PARTNER_TMC", "HR_FEED_CONNECTOR", "TRIPS_DATA_CONNECTOR", "GLOBAL" ## Request fields (application/json): - `name` (string, required) Name of this field to be viewed by the user and consumed by mid-office systems. Example: "Air Reason Code" - `description` (object) User-facing description of the custom field. - `description.value` (string, required) Description of the custom field. Example: "This field will capture the reason for out of policy booking" - `includeLocations` (array) Enum: "BOOKING_CONFIRMATION_EMAILS", "APPROVAL_EMAILS", "COMPANY_REPORTS", "CONSOLIDATED_ITINERARY_EMAILS" - `managementTags` (array) - `managementTags.key` (string, required) The name or identifier of the tag. Example: "OOP Reason Code" - `managementTags.value` (string, required) The display name of the tag, used as an alternative on the management page. Example: "Out of Policy Code" - `respondOnlyOnceLevel` (string) User can respond this field only once at given level. Enum: "TRIP" ## Response 200 fields (application/json): - `id` (string, required) Example: "b93dc51f-12dd-46c7-b7d6-1cb12cd3f5b3" ## Response 400 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 401 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 403 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error.